/*
 * OtroCampoVacioParaValordelCampoCompuesto.java
 *
 * Created on 10 de abril de 2007, 11:36 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

/**
 * 
 * @author Julian
 */
public class OtroCampoVacioParaValordelCampoCompuesto extends AbstractRule {

	/** Creates a new instance of CampoLlenoParaUnValorDiferenteDeOtroCampo */

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {

		String otroCampo = registro[new Integer((String) getParams()[1])
				.intValue()];
		String otroCampo2 = registro[new Integer((String) getParams()[2])
				.intValue()];
		// C,2,13,1 ///C,13,24,12
		//
		if (getParams()[0].equals(field)
				&& (otroCampo == null || otroCampo.length() == 0)
				&& otroCampo2.equals(getParams()[3])) {
			return true;
		}

		return false;
	}

}
